Ability to disable lazy accessors without need of using `disable_glue_layers` method
Description

Preparing test object instancies for unit testing is quite painful process right now,

as it always requires carefully choosing what models should be disablen on glue layer.

This approach also causes troubles with object space occasionally running into issues

with fixtures referencing different constants etc.

With moving the orchestration outside of the AR objects, `disable_glue_layers` helper

method starts to act just as a way how to make sure no external calls are made for loading

data.

It would be better to have `disable_lazy_accessors` and `stub_lazy_accessors` that would

just make sure that when calling lazy accessors, nothing, or just a specific value is returned.

Associated revisions

Revision 2a93523a - 04/24/2014 09:23 AM - Ivan Necas

Fixes #5201 - allow disabling lazy accessors in tests

Makes it easier to set up the testing instances without explicitly

listing what should be disabled.

History

#1 - 04/25/2014 01:52 PM - Ivan Necas

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:2a93523a7b211338dc914f816068a3183d2668b0.

#2 - 08/21/2014 02:45 PM - Eric Helms

- translation missing: en.field_release set to 13

Powered by TCPDF (www.tcpdf.org)

05/17/2024 1/1

http://www.tcpdf.org

